List support messages | Moov Documentation

List support messages

List all the messages for a support ticket.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/tickets.read scope.

If you're listing another account's messages, then you'll need to specify the /accounts/{partnerAccountID}/tickets.read and /accounts/{accountID}/profile.read scopes.

Endpoint

GET

/accounts/{accountID}/tickets/{ticketID}/messages

Example Requests

Using Curl

curl -X GET "https://api.moov.io/accounts/{accountID}/tickets/{ticketID}/messages" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Go

mc, _ := moov.NewClient()

var accountID string // customer
var ticketID string

mc.ListTicketMessages(ctx, accountID, ticketID)

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.support.listTicketMessages({
    accountID: "72444918-8529-4986-b10c-41817e45d09e",
    ticketID: "edeaab65-c54c-45b8-881b-19138f125fb1",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->support->listTicketMessages(
    accountID: '72444918-8529-4986-b10c-41817e45d09e',
    ticketID: 'edeaab65-c54c-45b8-881b-19138f125fb1'
);

if ($response->ticketMessages !== null) {
    // handle response
}

Java

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListTicketMessagesResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListTicketMessagesResponse res = sdk.support().listTicketMessages()
                .accountID("72444918-8529-4986-b10c-41817e45d09e")
                .ticketID("edeaab65-c54c-45b8-881b-19138f125fb1")
                .call();

if (res.ticketMessages().isPresent()) {
            System.out.println(res.ticketMessages().get());
        }
    }
}

Python

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.support.list_ticket_messages(account_id="72444918-8529-4986-b10c-41817e45d09e", ticket_id="edeaab65-c54c-45b8-881b-19138f125fb1")

# Handle response
    print(res)

Ruby

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.support.list_ticket_messages(account_id: '72444918-8529-4986-b10c-41817e45d09e', ticket_id: 'edeaab65-c54c-45b8-881b-19138f125fb1')

unless res.ticket_messages.nil?
  # handle response
end

C#

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Support.ListTicketMessagesAsync(
    accountID: "72444918-8529-4986-b10c-41817e45d09e",
    ticketID: "edeaab65-c54c-45b8-881b-19138f125fb1"
);

// handle response

Responses

Success

Example

[\
  {\
    "author": "string",\
    "body": "string",\
    "sentOn": "2019-08-24T14:15:22Z"\
  }\
]

Error Responses

Headers

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00